### A free/open-source library for quantitative finance

Public Member Functions
Error Class Reference

Base error class. More...

`#include <ql/errors.hpp>`

Inherits exception.

List of all members.

## Public Member Functions

| Error (const std::string &file, long line, const std::string &functionName, const std::string &message="")
| ~Error () throw ()
const char * | what () const throw ()
| returns the error message.

## Detailed Description

Base error class.

## Constructor & Destructor Documentation

Error | ( | const std::string & | file,
|  | long | line,
|  | const std::string & | functionName,
|  | const std::string & | message = `""`
| ) |  |

The explicit use of this constructor is not advised. Use the QL_FAIL macro instead.

~Error | ( |  | ) | throw ()

the automatically generated destructor would not have the throw specifier.